/*

Sketch de exemplo para configuração do Módulo Wi-Fi no Terminal Arduino Mega 2560 fabricado pela Zuchi

Autor: Pedro Zuchi - pedro@zuchi.com.br
Loja Virtual: www.zuchishop.com.br, www.zuchi.com.br
Área de download: www.zuchi.com.br/download
Blog: www.androidarduino.com.br, www.androidioio.com.br

Mapeamento de portas:
Sinal SPM (Serial Program Mode) - Port 46

*/

void setup()
{
  Serial.begin(38400);
  Serial2.begin(38400);
  pinMode(46,OUTPUT);
  digitalWrite(46,HIGH);
  delay(250);
}

void loop(){
  //Roteia dados entre a seriais 0 e 2 
  if (Serial.available() > 0) Serial2.write(Serial.read());
  if (Serial2.available() > 0) Serial.write(Serial2.read());
}

