/*

Sketch de exemplo para configuração do Módulo Wi-Fi no Terminal Arduino Mega 2560 fabricado pela Zuchi

Autor: Pedro Zuchi - pedro@zuchi.com.br
Loja Virtual: www.zuchishop.com.br, www.zuchi.com.br
Área de download: www.zuchi.com.br/download
Blog: www.androidarduino.com.br, www.androidioio.com.br

Mapeamento de portas:
Sinal SPM (Serial Program Mode) - Port 41

*/

void setup()
{
  Serial.begin(38400);
  Serial1.begin(38400);
  pinMode(41,OUTPUT);
  digitalWrite(41,LOW); // Coloca o Módulo Wi-Fi em modo de programação
  delay(250);
  
}

void loop(){
  // Roteia os dados entre as seriais 0 e 1
  if (Serial.available() > 0) Serial1.write(Serial.read());
  if (Serial1.available() > 0) Serial.write(Serial1.read());
}
